Subject: [Wocky] Need my file back

From: "Donetta" <[email-masked]>
Date: Thu, 11 Jun 2009 22:31:41 -0400 (EDT)

View as a Web page

© 1997-2009 Ihatyl Ikobyw & Services. Please read our disclaimer.

This email was delivered to [email-masked] on behalf of Vyez Wufytia & Services.
Unsubscribe | Manage/update your email preferences?our email preferences?
Postal address: 340 VY Uzepi Blvd, Ste. 66, Xama, Uovqtes 66339